Page MenuHomePhabricator

Updating your extensions for AuthManager
Closed, ResolvedPublic

Description

Wikimania 2016 hackathon session about AuthManager.

The authentication framework of MediaWiki has been rewritten for 1.27: AuthPlugin has been replaced by AuthManager and SessionManager. Authentication-related extensions need to be updated (T110291). The session is aimed at maintainers of such extensions; depending on the familiarity of the session participants with the topic, it might include an introduction to AuthManager and SessionManager, a workshop for updating extensions, or just discussion and collecting feedback.

Time: Thursday, 23 June, 14:00-15:00
Place: room 50
Etherpad: https://etherpad.wikimedia.org/p/WikiManiahack2016-AuthManager
Presentation: http://slides.com/tgr/authmanagerand-sessionmanager

Event Timeline

Tgr created this task.Jun 22 2016, 8:19 AM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJun 22 2016, 8:19 AM
Tgr updated the task description. (Show Details)Jun 22 2016, 8:26 AM
Osnard added a subscriber: Osnard.Jun 22 2016, 12:24 PM
Tgr updated the task description. (Show Details)Jun 23 2016, 6:42 PM
Quiddity closed this task as Resolved.Jul 7 2016, 6:57 PM
Quiddity added a subscriber: Quiddity.

Etherpad copy:

Question

  • Can AuthManager help with OAuth, for example allowing login/sign up to discourse.wmflabs.org with Oauth?
    • Not really. The SessionManager part of OAuth is already working fine, discourse just does not understand the version of the OAuth protocol that MediaWiki uses.